#include <iostream>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    short int n,k,p;
    cin>>n>>k;
    short int a[n];

    for(int i=0;i<n-1;i++)
    {
        cin>>a[i];
        if(a[i]==k)p=i+1;
    }
    cin>>a[n-1];
    if(a[n-1]==k)
    {
        cout<<a[0];
        return 0;
    }

    cout<<a[p];
    return 0;
}